POST/realtimeratesbyqueue/{queueid}

Create Realtimeratesbyqueue

This API call enables you to retrieve rate data once the queue has completed, using the queue ID generated for real-time data as an input parameter.
POST/realtimeratesbyqueue/{queueid}

Parameter Details

NameInTypeRequiredDescription
queueidpathinteger(int32)Requirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
202AcceptedAcceptedNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /realtimeratesbyqueue/{queueid} \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "queueId": 0,
  "rateshopId": 0,
  "hotelCode": 0,
  "subjectHotelCode": 0,
  "websiteCode": 0,
  "dtCollected": "2019-08-24",
  "checkIn": "2019-08-24",
  "checkOut": "2019-08-24",
  "los": 0,
  "guests": 0,
  "roomType": "string",
  "onsiteRate": 0.1,
  "netRate": 0.1,
  "currency": "string",
  "roomDescription": "string",
  "ratePlan": "string",
  "mealPlan": "string",
  "roomAmenities": "string",
  "occupancy": 0,
  "sourceUrl": "string",
  "isPromo": true,
  "closed": true,
  "discount": 0.1,
  "promoName": "string",
  "roomTypeCode": 0,
  "ratePlanCode": 0,
  "mealPlanCode": 0,
  "statusCode": 0,
  "taxStatus": 0,
  "taxType": "string",
  "taxAmount": 0.1,
  "pos": 0,
  "isRatePerStay": true,
  "minStay": 0,
  "optionalExtras": "string",
  "payPlan": "string",
  "channelType": "string",
  "isRealtime": true
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.